## ide-layout-grid-column ide-layout-grid-column |

## Functions

GtkWidget * | ide_layout_grid_column_new ()
IdeLayoutStack * | ide_layout_grid_column_get_current_stack ()
void | ide_layout_grid_column_set_current_stack ()

## Properties

IdeLayoutStack * | current-stack | Read / Write

## Types and Values

#define | IDE_TYPE_LAYOUT_GRID_COLUMN
| IdeLayoutGridColumn

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── DzlMultiPaned
                        ╰── IdeLayoutGridColumn

## Implemented Interfaces

IdeLayoutGridColumn implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### ide_layout_grid_column_new ()

    GtkWidget *
    ide_layout_grid_column_new (void);

### ide_layout_grid_column_get_current_stack ()

    IdeLayoutStack *
    ide_layout_grid_column_get_current_stack
                                   (IdeLayoutGridColumn *self);

Gets the most recently focused stack. If no stack has been added, then `NULL` is returned.

#### Parameters

self | a IdeLayoutGridColumn |

#### Returns

an IdeLayoutStack or `NULL`.

[transfer none][nullable]

### ide_layout_grid_column_set_current_stack ()

    void
    ide_layout_grid_column_set_current_stack
                                   (IdeLayoutGridColumn *self,
                                    IdeLayoutStack *stack);

## Types and Values

### IDE_TYPE_LAYOUT_GRID_COLUMN

    #define IDE_TYPE_LAYOUT_GRID_COLUMN (ide_layout_grid_column_get_type())

### IdeLayoutGridColumn

    typedef struct _IdeLayoutGridColumn IdeLayoutGridColumn;

## Property Details

### The `“current-stack”` property

      “current-stack”            IdeLayoutStack *

The most recently focused stack within the column.

Flags: Read / Write